Subject: Re: Extracting *.DSK/*.DO/*.PO images-- NULL-modem X-fer Info
From: Rubywand <[email-masked]>
Date: Mon, 05 Oct 1998 20:19:24 -0500
Newsgroups: comp.sys.apple2

Jack Somers writes ...
> 
> Rubywand wrote in message <[email-masked]>...
> >Jim Thompson writes ...
> >>
> >     A .SHK file should be downloaded to PC without any special
> >processing on the PC-- i.e. just get the binary file and transfer it to
> >your Apple II. NULL-modem is a good way to transfer stuff from PC to an
> >Apple II.
> >
> 
> Where can I get such a NULL-modem cable or connection for my PC to Apple
> IIGS file transfers?  I would like one very much!!!

 ....

     A NULL-modem or NULL-modem "cable" is, usually, two standard 25-pin
DIN female sockets mounted back to back with some lines swapped ...

~~*~~ NULL-modem ~~*~~

 Socket-A  Socket-B

    1      -> 1
    2      -> 3
    3      -> 2
    4 & 5  -> 8
    6 & 22 -> 20
    7      -> 7
    8      -> 4 & 5
   20      -> 6 & 22

If you can find a couple old-style DIN-25 plug casings, the sockets can
be mounted and the casings can be glue-gunned together to make a nice
compact unit.

     Radio Shack sells a NULL-modem connector for a few dollars.

     To do NULL-modem transfers, you plug a modem cable from each
computer into the connector. I plug a hi-speed modem cable from the GS
into one end of the NULL-modem and a modem cable from the PC COM1 or
COM2 serial port into the other end.

     The Hi-Speed GS modem cable is described in the Spectrum manual and
in the ProTERM 3.1 manual ...

~~*~~ Hi-Speed GS modem cable ~~*~~

View is looking into the cable connector/plug at the pins.

Male Mini-Din 8              RS-232 Male DB-25

   6  7  8           01 02 03 04 05 06 07 08 09 10 11 12 13
   3 4   5            14 15 16 17 18 19 20 21 22 23 24 25
    1  2

DIN-8    DB-25     Signal Discription

  3        2        TD  (Transmit Data)
  5        3        RD  (Receive Data)
  4,8      7        GND (Ground)
  2        5        CTS (Clear to Send)
  1        4,20     RTS & DTR (Ready to Send and Data Term Ready)
  7        8        DCD (Data Carrier Dectect)

InTrec Software (888-PROTERM; http://www.intrec.com ) and
MC Price Breakers (360-837-3042; http://www.mcpb.com ) are two places
which sell a Hi-Speed modem cable for the GS.

     The mechanical setup is pretty simple ...

  ____________                                        ____________ 
 |  PC or Mac |                                      |  Apple II  |
 |  running a |                                      |  running a |
 |  telecom   | <--modem--> [NULL modem] <--modem--> |  telecom   |
 |  program   |    cable    [connector ]    cable    |  program   |
 |____________|                                      |____________|

On the PC side, the COM port may have a 9-pin socket. This is okay. A
9-to-25 modem cable or short converter cable is a standard item.

     Today, most users depend upon the PC for connecting to the net.
This means that COM1 or COM2 will be connected to an external modem or
that one of the COM ports will be committed to an internal modem. Since
the PC can handle net I/O and other tasks at the same time, it is
convenient to leave one COM port connected to the modem and net and to
use the other for a fixed NULL-modem connection to the GS. For example,
....

 [Modem to net]
       |
   modem cable
      COM2
  ____ |______                                        ____________ 
 |  PC or Mac |                                      |  Apple II  |
 |  running a |    COM1                              |  running a |
 |  telecom   | <--modem--> [NULL modem] <--modem--> |  telecom   |
 |  program   |    cable    [connector ]    cable    |  program   |
 |____________|                                      |____________|

     To transfer files between the computers, each is running a telecom
program with data format set to the usual 8-N-1 and baud rate set the
same. I use Spectrum on the GS and HyperTerm on the PC with baud rate
set to 57,600.
 
     HyperTerm allows defining and saving different setups. When
HyperTerm is started, I load a setup which expects to use COM1 (since
COM2 is used to connect to the net modem). "Emulation" is set to plain
"TTY" and, as already indicated, port settings are 8 data bits, No
parity, 1 Stop bit, with "Flow Control" set to "Hardware" and speed set
to 57,600.

     Spectrum's Port settings are 57,600 for Baud Rate, 8-None-1 for
"Data Format", 64k for "Buffer Size". "Send LFs", "H'ware Handshake",
"Xon/Xoff flow", and "DCD is valid" and "Modem Port" are all selected.
"Character delay" and "Line delay" are both set to zero.

     Spectrum's File Transfer settings have "Auto receive", "Packet send
ahead", and "Binary II Down" selected. Usually, the "Default File
Transfer Directory" is left at /RAM5 (800k RAM disk). For big transfers,
it gets set to a folder on a ProDOS hard disk partition or to a folder
on a ProDOS Zip disk partition.

     Our IIgs is a ROM-01 with 4MB Mem Expansion (AE GS-RAM III) and
10MHz/64k ZipGSx accelerator running System 6.0.1 from an 80MB Focus
Hard Card. The SCSI interface for the Zip Drive is a RamFAST with 3.01f
ROM. No screen saver NDA's are loaded (ever) and AppleTalk drivers,
inits, etc. were ripped out years ago. This system has no problem doing
NULL-modem transfers at 57,600 baud.

     To send a file, say Narfgame.shk, from the PC to the GS, HyperTerm
is started, the setup file is "opened". On the GS, Spectrum is started.
Once both telecom programs are ready, you "browse" to locate
Narfgame.shk and, with HyperTerm's "protocol" set to Zmodem, click
"Send".

     The process of sending an .shk file from the GS to the PC is
similar. That is, usually you will select a Zmodem send, highlight the
files to send, and click "Open" under Spectrum on the GS. (You may need
to press RETURN once or twice at the end of a send from the GS to get
HyperTerm to officially end the receive.)

     If the current default Receive directory for HyperTerm is not the
one you want, you may need to click Receive File and browse to the
directory you like on the PC. Then, click Receive and start the send
from the GS.

     Maybe the above is more detail than you needed. Still, sometimes, a
specific example is better than a bunch of guidelines. In any case,
there is quite a bit of info on NULL-modem transfers, downloading, and
related stuff in the two Text files mentioned earlier.

Rubywand